#include "zoost/zt.common.h"

#include "zoost/zt.define.hpp"

void zoostCommon::SetStdLibrayU8()
{
    setlocale(LC_ALL, ".utf-8");
}

void zoostCommon::SetOutputU8()
{
#ifdef _WIN32
    SetConsoleOutputCP(CP_UTF8);
#endif
}

void zoostCommon::ToU8(std::string& str)
{
#ifdef _WIN32
    str = zoostWinUtil::Ansi2U8(str);
#endif
}

std::string zoostCommon::ToU8Copy(const std::string& str)
{
#ifdef _WIN32
    return zoostWinUtil::Ansi2U8(str);
#else
    return str;
#endif
}
